package com.loafle.overflow.module.probe.service;

import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.meta.model.MetaProbeStatus;
import com.loafle.overflow.module.probe.model.Probe;
import com.loafle.overflow.spring.AppConfig;
import com.loafle.overflow.spring.JdbcConfiguration;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by snoop on 17. 6. 28.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class ProbeServiceTest {

    @Autowired
    private ProbeService probeService;

    @Ignore
    @Test
    public void regist() throws Exception {

        Probe probe = new Probe();


        probe.setDescription("snoop probe");

        Domain domain = new Domain();
        domain.setId(1);

        probe.setDomain(domain);

        probe.setEncryptionKey("8c51fa9c5bcc11e7980a080027658d13");
        probe.setProbeKey("899fdd145bcc11e7b611080027658d13");

        MetaProbeStatus status = new MetaProbeStatus();
        status.setId((short)1);

        probe.setStatus(status);

        this.probeService.regist(probe);

        Assert.assertNotEquals(probe.getId(), 0);
    }

    @Ignore
    @Test
    public void readAllByDomain() throws Exception {

        Domain domain = new Domain();
        domain.setId(1);

        List<Probe> probes = this.probeService.readAllByDomain(domain);

        Assert.assertNotEquals(probes.size(), 0);

    }

    @Ignore
    @Test
    public void readByProbeKey() throws Exception {

        regist();

        Probe probe = this.probeService.readByProbeKey("899fdd145bcc11e7b611080027658d13");

        Assert.assertNotEquals(probe, null);

    }

}